<?php
/**
 * Class that operate on table 'dailyentrycreditor'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-04-04 09:53
 */
class DailyentrycreditorMySqlExtDAO extends DailyentrycreditorMySqlDAO{

	public function queryByDailyentryidEX($value){
		$sql = 'SELECT dailyentrycreditor.* ,concat(dailyentrycreditor.accountstreeid,"-",accountstree.name) as accountstreeName
		FROM dailyentrycreditor  
		join accountstree on accountstree.id = dailyentrycreditor.accountstreeid
		WHERE dailyentryid = ?';
		$sqlQuery = new SqlQuery($sql);
		$sqlQuery->setNumber($value);
		return $this->getList($sqlQuery);
	}
}
?>